#hc-modal
{
    backdrop-filter: blur(10px) brightness(75%);
}
#hc-modal .modal.fade-out, #hc-modal .modal-backdrop.fade-out
{
    opacity: 0;
    transition: opacity 0.5s ease;
}
#hc-modal .modal-dialog
{
    height: 100%;
    max-width: 600px !important;
    margin: auto; 
}
#hc-modal .modal-header
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: none !important;
}
#hc-modal .modal-header h2
{
    font-size: calc(var(--hc-t-h2-fs) * 0.9);
    text-align: center;
    position: relative;
    top: -10px;
    margin: 0;
}
#hc-modal .modal-header span
{
    font-size: calc(var(--hc-t-meta-fs) * 1.25);
    text-align: center;
}
#hc-modal .modal-body
{  
    padding: 0;
    text-align: center;
}
#hc-modal .modal-body::-webkit-scrollbar
{
    display: none;
}
#hc-modal .modal-footer
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border: none;
    padding-top: 0;
    margin-top: 20px;
}
#hc-modal .modal-footer button
{
    width: 100%;
}
#hc-modal .modal-footer .multi-button
{
    width: 100%;
}
#hc-modal .modal-footer .multi-button .disabled
{
    opacity: .5;
    pointer-events: none;
    cursor: default;
}
#hc-modal .modal-body, #hc-modal .modal-footer
{
    opacity: 1;
    transition: opacity .3s ease-in-out;
}
#hc-modal .modal-body.fade, #hc-modal .modal-footer.fade
{
    opacity: 0;
    transition: opacity .3s ease-in-out;
}



.ping-modal .modal-content, .ping-modal .modal-content, .ping-modal .modal-content
{
    font-family: var(--hc-t-content-ff);
    font-size: var(--hc-t-content-fs);
    line-height: var(--hc-t-content-lh);
    letter-spacing: var(--hc-t-content-ls);
    font-weight: var(--hc-t-content-fw);
    color: var(--hc-s-text);
    background-color: transparent !important;
    border: none !important;
}



.ping-modal .ping-container
{
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 7px;
    position: relative;
    left: 5px;
}
.ping-modal img
{
    width: 60px;
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
}
.ping-modal .speed-camera
{
    background: rgba(240, 153, 123, 10.05);
    background: linear-gradient(180deg,rgba(248, 157, 127, 0.75) 0%, rgba(240, 153, 123, .25) 100%);
}
.ping-modal .police
{
    background: #4C82BF;
    background: linear-gradient(180deg,rgba(88, 149, 219, 0.75) 0%, rgba(76, 130, 191, .25) 100%);
}
.ping-modal .emergency
{
    background: #BF6060;
    background: linear-gradient(180deg,rgba(212, 107, 107, 0.75) 0%, rgba(191, 96, 96, .25) 100%);
}
.ping-modal .construction
{
    background: #CCA552;
    background: linear-gradient(180deg,rgba(221, 179, 89, 0.75) 0%, rgba(204, 165, 82, .25) 100%);
}



.event-modal .modal-content
{
    width: 450px;
    margin: 50px auto 50px auto;
    background-color: transparent;
    padding: 25px !important;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
    border: none;
}
.event-modal .location
{
    text-align: center;
    margin: 15px 0 -3px 0;
}
.event-modal .name
{
    text-align: center;
    margin: 0;
    line-height: .9;
}
.event-modal .period
{
    text-align: center;
}
.event-modal .detail
{
    margin: auto;
    padding-top: 15px;
}
.event-modal .multi-detail
{
    padding-top: 15px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 25px;
}
.event-modal .detail .hc-meta, .event-modal .multi-detail .hc-meta
{
    text-align: center;
    display: block;
    margin: 0;
    margin: 0 0 -5px 0;
}
.event-modal .detail h6, .event-modal .multi-detail h6
{
    text-align: center;
    padding: 0 20px 0 20px;
    line-height: .9;
}
.event-modal .multi-button
{
    margin-top: 15px;
}
.event-modal button
{
    margin-top: 15px;
}




.driver-modal .modal-content
{
    width: 450px;
    margin: 50px auto 50px auto;
    background-color: transparent;
    padding: 25px !important;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
    border: none;
}
.driver-modal .picture
{
    mask-image: linear-gradient(
        to bottom,
        black 0%,
        black 25%,
        transparent 75%,
        transparent 100%
    );

    -webkit-mask-image: linear-gradient(
        to bottom,
        black 0%,
        black 25%,
        transparent 75%,
        transparent 100%
    );
}
.driver-modal .driver-info
{
    position: relative;
    top: -50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.driver-modal .driver-info .name
{
    text-align: center;
    margin: 0;
    line-height: .9;
}
.driver-modal .driver-info .car
{
    text-align: center;
    font-size: 11px;
    display: block;
}
.driver-modal .driver-info .detail
{
    margin: auto;
}
.driver-modal .driver-info .multi-button
{
    width: 100%;
    margin-top: 15px;
}
.driver-modal .driver-info button
{
    margin-top: 15px;
}



.code-modal .modal-content
{
    width: 310px;
    margin: auto !important;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    background-color: transparent;
}
.code-modal h2
{
    text-align: center !important;
    font-size: 2rem !important;
    margin-bottom: 2px !important;
}
.code-modal .hc-meta
{
    display: block;
    text-align: center !important;
    margin-bottom: 20px !important;
}
.code-modal svg
{
    border-radius: 10px;
}
.code-modal button
{
    width: 100%;
    margin-top: 25px;
}



.alert-modal .modal-content
{
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 20px !important;
    background-color: var(--hc-s-container-bg);
    border: 1px solid #2e3238;
    padding: 20px !important;
    width: var(--stg-container-width) !important;
}
.alert-modal h2
{
    text-align: center !important;
}
.alert-modal .hc-meta
{
    display: block;
    text-align: center !important;
}



.confirm-modal .modal-content
{
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    border-radius: 20px !important;
    background-color: var(--hc-s-container-bg);
    border: 1px solid #2e3238;
    padding: 35px !important;
    width: var(--stg-container-width) !important;
}
.confirm-modal .confirm-container
{
    transition: height 0.25s ease-in-out;
}
.confirm-modal h2
{
    font-size: 2rem;
    text-align: center !important;
}
.confirm-modal .hc-meta
{
    display: block;
    text-align: center !important;
    margin-bottom: 20px !important;
}



@media only screen and (max-width: 400px)
{
    .modal-body p
    {
        font-size: calc(var(--hc-t-large-fs) * 0.85);
    }
    .event-modal .period
    {
        font-size: 7px !important;
    }
}

@media only screen and (min-width: 450px) and (max-width: 739px)
{
    .driver-modal .driver-info .name
    {
        font-size: 50px;
    }
    .driver-modal .driver-info .car
    {
        font-size: 14px;
    }
}
